package main

//go:generate go run nerdfont-process-css.go

import (
	"barista.run/pango/icons"
)

type Glyph struct {
	Key string
	Rune rune
}

func installNerdFontProvider(face string) *icons.Provider {
	nf := icons.NewProvider("nf")
	nf.Font(face)
	for _, glyph := range NerdFontGlyphs {
		nf.Symbol(glyph.Key, string(glyph.Rune))
	}
	return nf
}